Download it now!
Bug 108524 - Sections inside tables are not split across multiple pages
Summary: Sections inside tables are not split across multiple pages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-14 14:58 UTC by Miklos Vajna
Modified: 2018-06-08 11:47 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (8.84 KB, application/vnd.oasis.opendocument.text)
2017-06-14 14:58 UTC, Miklos Vajna
Details
Linked textframes. (10.79 KB, application/vnd.oasis.opendocument.text)
2017-06-19 15:22 UTC, Miklos Vajna
Details
(Lack of) footnote in section in table. (9.93 KB, application/vnd.oasis.opendocument.text)
2017-06-20 14:14 UTC, Miklos Vajna
Details
Move paragraphs back to the first page reproducer. (9.18 KB, application/vnd.oasis.opendocument.text)
2017-07-12 16:01 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2017-06-14 14:58:21 UTC
Created attachment 134027 [details]
Reproducer document.

Open the attached document.

Expected: the section is split into two pages as it doesn't have enough space on the first page.

Actual: the text of the section is cut off.
Comment 1 Commit Notification 2017-06-15 10:29:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=835c1586f60e6bc03e045e8210e38876e0fe1abc

Related: tdf#108524 sw: dump follow/precede of cell frames in layout xml dump

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-06-15 14:56:02 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=336ec28195da1917c22494a24dbaf10b846d3141

tdf#108524 sw: try to split rows that contain 1-col sections

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2017-06-15 16:12:27 UTC
This does not solve the problem yet, but at least this way we check if the text frame is moveable.
Comment 4 Commit Notification 2017-06-16 10:59:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ade80cf142664e78954c7544534e9436ceb90c7

tdf#108524 sw: allow move of frame inside section without columns

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2017-06-19 15:22:32 UTC
Created attachment 134135 [details]
Linked textframes.

My hope is that if the code is generic enough, then split between pages and linked fly frames should be the same problem; I'm attaching a reproducer.
Comment 6 Commit Notification 2017-06-19 18:26:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f991b842addddeada6dc45c4054deeca5aa7f17b

tdf#108524 sw: attempt to split section frames inside table cells

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-06-20 10:35:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9d2016648c7fdfc57932ac0793547cf099749be

tdf#108524 sw: add split section in table testcase

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2017-06-20 14:14:26 UTC
Created attachment 134164 [details]
(Lack of) footnote in section in table.

A related document: when the in-table section has footnotes and the footnote frame would be in the section (not at the bottom of the page), then we just don't even create footnote frames. This used to be the situation and is unchanged after the above commits.
Comment 9 Commit Notification 2017-06-26 14:05:02 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=272d5a02a3de2350f8af7a93281b651316b24ae5

Revert "tdf#108524 sw: attempt to split section frames inside table cells"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-07-03 14:34:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5e0a143308e976b4165ff6181f4dccc3db0bd31

tdf#108524 sw: attempt to split section frames inside table cells, take two

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-07-06 10:42:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8a76d218305a56d15b82b9dac4fafa558872780

tdf#108524 sw: split section frames inside table cells, non-split text frames

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Miklos Vajna 2017-07-12 16:01:02 UTC
Created attachment 134606 [details]
Move paragraphs back to the first page reproducer.

One more discovered problem is that now text frames from the second page don't move back to the first one if you delete paragraphs on the first page (in a split-section-in-table).

Steps to reproduce:

1) Open the attached bugdoc.
2) Go to Table1:A1, the "4" paragraph.
3) Delete the paragraph.

Expected: paragraph "5" moves from the second page to the first page.

Actual: paragraph "5" does not move.
Comment 13 Commit Notification 2017-07-12 19:17:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b9edf5d5779b9ce578084250a6c87808ddc5fa8

tdf#108524 sw: allow frames in growable follow sects in SwFrame::IsMoveable()

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2017-07-13 19:11:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4908d6d6742e2f0700ea4ccd9d636d91ea281046

tdf#108524 sw: allow frames in follow sect-in-tables in SwFlowFrame::MoveBwd()

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2017-07-14 13:15:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=850bf99e7d1abcf2e0cce731b6715f87420d0ee6

tdf#108524 sw: handle sections inside tables in SwFrame::GetPrevSctLeaf()

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.